Magick::PathCurvetoArgs Class Reference

`#include <Drawable.h>`

## Public Member Functions

| PathCurvetoArgs (void)
| PathCurvetoArgs (double x1_, double y1_, double x2_, double y2_, double x_, double y_)
| PathCurvetoArgs (const PathCurvetoArgs &original_)
| ~PathCurvetoArgs (void)
void | x1 (double x1_)
double | x1 (void) const
void | y1 (double y1_)
double | y1 (void) const
void | x2 (double x2_)
double | x2 (void) const
void | y2 (double y2_)
double | y2 (void) const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const

## Detailed Description

Definition at line 2441 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::PathCurvetoArgs::PathCurvetoArgs | ( | void |  | ) |

Definition at line 1751 of file Drawable.cpp.

Magick::PathCurvetoArgs::PathCurvetoArgs | ( | double | x1_,
|  | double | y1_,
|  | double | x2_,
|  | double | y2_,
|  | double | x_,
|  | double | y_
| ) |  |

Definition at line 1761 of file Drawable.cpp.

Magick::PathCurvetoArgs::PathCurvetoArgs | ( | const PathCurvetoArgs & | original_ | ) |

Definition at line 1773 of file Drawable.cpp.

Magick::PathCurvetoArgs::~PathCurvetoArgs | ( | void |  | ) |

Definition at line 1783 of file Drawable.cpp.

## Member Function Documentation

void Magick::PathCurvetoArgs::x | ( | double | x_ | ) |

inline

Definition at line 2490 of file Drawable.h.

double Magick::PathCurvetoArgs::x | ( | void |  | ) | const

inline

Definition at line 2494 of file Drawable.h.

void Magick::PathCurvetoArgs::x1 | ( | double | x1_ | ) |

inline

Definition at line 2454 of file Drawable.h.

double Magick::PathCurvetoArgs::x1 | ( | void |  | ) | const

inline

Definition at line 2458 of file Drawable.h.

void Magick::PathCurvetoArgs::x2 | ( | double | x2_ | ) |

inline

Definition at line 2472 of file Drawable.h.

double Magick::PathCurvetoArgs::x2 | ( | void |  | ) | const

inline

Definition at line 2476 of file Drawable.h.

void Magick::PathCurvetoArgs::y | ( | double | y_ | ) |

inline

Definition at line 2499 of file Drawable.h.

double Magick::PathCurvetoArgs::y | ( | void |  | ) | const

inline

Definition at line 2503 of file Drawable.h.

void Magick::PathCurvetoArgs::y1 | ( | double | y1_ | ) |

inline

Definition at line 2463 of file Drawable.h.

double Magick::PathCurvetoArgs::y1 | ( | void |  | ) | const

inline

Definition at line 2467 of file Drawable.h.

void Magick::PathCurvetoArgs::y2 | ( | double | y2_ | ) |

inline

Definition at line 2481 of file Drawable.h.

double Magick::PathCurvetoArgs::y2 | ( | void |  | ) | const

inline

Definition at line 2485 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp